Bug 202536 - pirut crashes when switching from List view to Search view
Summary: pirut crashes when switching from List view to Search view
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-14 23:19 UTC by Paul W. Frields
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-15 00:44:32 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2006-08-14 23:19:55 UTC
Description of problem:
Rawhide, current as of ~1200 UTC, 2006-08-14.  pirut crashes when switching from
the List view to the Search view.

Version-Release number of selected component (if applicable):
1.1.8-1

How reproducible:
Every time.

Steps to Reproduce:
1. Run pirut.
2. Select List view. Wait for parser to finish normally.
3. Select Search view.
  
Actual results:
Kerplooie.

Expected results:
A proper list view.

Additional info:
Bug reporter generates the following output.  I am just learning Python so I
restarted once from a terminal and tried "Debug" just to see if I could learn
anything -- to no avail of course. :-)  But I *do* know (or *think* I know) that
the self.xml.get_widget("packageListTree") is probably expected to return a
gtk.Widget, right?  Maybe this is an incorrect widget label?  Aww, listen to me
jawin' like I know somethin'.  What a swelled-head.  Pay me no mind, here's the
report:

- - - - -
Component: Software Manager
Summary: TB969e4b0d PackageList.py:137:grab_focus:AttributeError: 'NoneType'
object has no attribute 'grab_focus'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 230, in _showList
    plist.grab_focus()
  File "/usr/lib/python2.4/site-packages/pirut/PackageList.py", line 137, in
grab_focus
    self.xml.get_widget("packageListTree").grab_focus()
AttributeError: 'NoneType' object has no attribute 'grab_focus'

Local variables in innermost frame:
self: <PirutPackageList object (pirut+PackageList+PirutPackageList) at 0xa15d5f4>
- - - - -

Comment 1 Jeremy Katz 2006-08-15 00:44:32 UTC
I can't reproduce this, but committed something which should hopefully avoid it
being a problem


Note You need to log in before you can comment on or make changes to this bug.